Package Details: grayjay-git 11.r8.g0dc9daa-3

Git Clone URL: https://aur.archlinux.org/grayjay-git.git (read-only, click to copy)
Package Base: grayjay-git
Description: Grayjay Desktop - follow creators, not platforms (privacy- and freedom-respecting client for YouTube, Rumble, Twitch, Spotify etc)
Upstream URL: https://grayjay.app/desktop/
Licenses: custom:Source-First-License-1.1
Conflicts: grayjay-bin
Provides: grayjay
Submitter: nathanchere
Maintainer: nathanchere
Last Packager: nathanchere
Votes: 4
Popularity: 0.003957
First Submitted: 2024-12-25 10:30 (UTC)
Last Updated: 2025-10-21 22:13 (UTC)

Latest Comments

craftingDragon7 commented on 2025-10-21 16:06 (UTC)

Dear @nathanchere

@Bink already pointed out, that building will fail when the upstream doesn't provide the folder/files ffmpeg, Portable and libsodium.so. As upstream doesn't include those files anymore, building this package always fails. So could you please at least add the following change to your PKGBUILD?

Thank you for your understanding

diff --git a/PKGBUILD b/PKGBUILD
index b7d27e1..a69166a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
 _base_ver=10
 pkgname=grayjay-git
 _appname=Grayjay
-pkgver=10.r17.g04a4c7e
+pkgver=10.r48.g81ec98e
 pkgrel=1
 pkgdesc="Grayjay Desktop - follow creators, not platforms (privacy- and freedom-respecting client for YouTube, Rumble, Twitch, Spotify etc)"
 arch=('x86_64')
@@ -93,9 +93,9 @@ package() {
     # Copy application files
     local _appdir="${pkgdir}/opt/grayjay"
     cp -va "${srcdir}/${_appname}/Grayjay.Desktop.CEF/bin/${_configuration}/net9.0/${_target}/publish/." "${_appdir}"
-    rm -v "${_appdir}/ffmpeg"
-    rm -v "${_appdir}/Portable"
-    rm -v "${_appdir}/libsodium.so"
+    rm -v "${_appdir}/ffmpeg" || true
+    rm -v "${_appdir}/Portable" || true
+    rm -v "${_appdir}/libsodium.so" || true
     find "${_appdir}" -type f -name '*.so' -o -name '*.so.*' -o -name 'dotcefnative' -exec chmod a+x "{}" \;

     install -Dm755 "${srcdir}/grayjay.sh" "${pkgdir}/usr/bin/grayjay"

Bink commented on 2025-08-23 10:00 (UTC)

Lines 96-98 of the PKGBUILD attempt to delete files that don't exist, causing a build failure.

Maybe an upstream change has removed the need for those lines, but at the very least, the commands might be updated so as to not cause build failure, even if the directories/files don't exist (with -rf):

rm -vrf "${_appdir}/ffmpeg"
rm -vrf "${_appdir}/Portable"
rm -vrf "${_appdir}/libsodium.so"

SuspiciousDuck commented on 2025-06-24 16:03 (UTC) (edited on 2025-06-24 16:04 (UTC) by SuspiciousDuck)

Running /usr/bin/grayjay results in an error.

$ grayjay
[2025-06-24 10:52:56.794] [INFO] [Program] AppContext.BaseDirectory: /opt/grayjay/
[2025-06-24 10:52:56.823] [INFO] [Program] Base Directory: /home/xxxx/.local/share/Grayjay
[2025-06-24 10:52:56.823] [INFO] [Program] Temporary Directory: /home/xxxx/.local/share/Grayjay/temp_files
[2025-06-24 10:52:56.828] [INFO] [ManagedThreadPool] New threadpool created (16)
[2025-06-24 10:52:56.831] [INFO] [ManagedThreadPool] New threadpool created (4)
[2025-06-24 10:52:56.834] [INFO] [Program] Log Level: Warning
[2025-06-24 10:52:56.834] [INFO] [Program] Log file path: /home/xxxx/.local/share/Grayjay/log.txt
Log flusher exited with exception: System.Threading.Tasks.TaskCanceledException: A task was canceled.
   at Grayjay.Desktop.POC.Log.<.ctor>b__7_0()
[2025-06-24 10:52:56.868] [ERROR] [Program] Unhandled exception occurred: System.ComponentModel.Win32Exception (8): An error occurred trying to start process '/opt/grayjay/cef/dotcefnative' with working directory '/opt/grayjay/cef'. Exec format error
   at System.Diagnostics.Process.ForkAndExecProcess(ProcessStartInfo startInfo, String resolvedFilename, String[] argv, String[] envp, String cwd, Boolean setCredentials, UInt32 userId, UInt32 groupId, UInt32[] groups, Int32& stdinFd, Int32& stdoutFd, Int32& stderrFd, Boolean usesTerminal, Boolean throwOnNoExec)
   at System.Diagnostics.Process.StartCore(ProcessStartInfo startInfo)
   at DotCef.DotCefProcess.Start(String args)
   at Grayjay.Desktop.Program.EntryPoint(String[] args)
   at Grayjay.Desktop.Program.Main(String[] args)

Running $ cat /opt/grayjay/cef/dotcefnative shows that the dotcefnative executable is actually just a normal text file.

version https://git-lfs.github.com/spec/v1
oid sha256:ddc18015006b518a181bd75fd7a260f86a90b1737253217c132db8985732994b
size 1194704

nathanchere commented on 2025-05-31 21:40 (UTC)

@SuspiciousDuck there were breaking changes to the build process in the v6 and v7 releases. The PKGBUILD is a now bit more verbose than it probably needs to be but it should at least be building again.

SuspiciousDuck commented on 2025-05-01 01:45 (UTC) (edited on 2025-05-01 01:46 (UTC) by SuspiciousDuck)

Fails to install on my system and through makechrootpkg. I get these errors during the prepare phase.

==> Starting prepare()...
Updated Git hooks.
Git LFS initialized.
fetch: 10 objects found, done.
fetch: Fetching all references...
error transferring "8e2fc7af4260217cc833e167beecf68bc1a617c96f9a7fd3c1ad5f60a7a7c50e": [0] remote missing object 8e2fc7af4260217cc833e167beecf68bc1a617c96f9a7fd3c1ad5f60a7a7c50e
error transferring "e7e7fb30477f717e6f55f9180a70386c62677ef8a4d4d1a5d948f4098aa3eb99": [0] remote missing object e7e7fb30477f717e6f55f9180a70386c62677ef8a4d4d1a5d948f4098aa3eb99
error transferring "227a0dcc5f104ce881c9520fe28668dafb1ce95709338346d53b1b830e7ad505": [0] remote missing object 227a0dcc5f104ce881c9520fe28668dafb1ce95709338346d53b1b830e7ad505
error transferring "3ad052e5c24b83283cbed8ef165b926c2bf03ea72961e0733af8c96ee8e37d41": [0] remote missing object 3ad052e5c24b83283cbed8ef165b926c2bf03ea72961e0733af8c96ee8e37d41
error transferring "753879c887d7213bdb4423db5bb38b6760a4533e63f699353ce1626dd05a1809": [0] remote missing object 753879c887d7213bdb4423db5bb38b6760a4533e63f699353ce1626dd05a1809
error transferring "a6cf02884ea58762ba4957eaad87bd34c65fefb478cbdf851639bdf935c9ec30": [0] remote missing object a6cf02884ea58762ba4957eaad87bd34c65fefb478cbdf851639bdf935c9ec30
error transferring "65c4adb12c855f8d006906bbae5dc5d0dd7b6f71ef892d0da415fbf42e7b1d76": [0] remote missing object 65c4adb12c855f8d006906bbae5dc5d0dd7b6f71ef892d0da415fbf42e7b1d76
error transferring "763759957413cc92565c980c0669ff3f01bde6defa7c1389d8ab2162798b679e": [0] remote missing object 763759957413cc92565c980c0669ff3f01bde6defa7c1389d8ab2162798b679e
error transferring "89590da3412f5427cb44351d28529f6b359e8e569b3eebc3993b0a174dfb0ced": [0] remote missing object 89590da3412f5427cb44351d28529f6b359e8e569b3eebc3993b0a174dfb0ced
error: failed to fetch some objects from 'file:///startdir/grayjay-git'
==> ERROR: A failure occurred in prepare().
    Aborting...

mshaze commented on 2025-02-01 17:58 (UTC)

Failing to install on my system.

error: '/home/mshaze/.cache/paru/clone/grayjay-git/grayjay-git-5.r72.g4bb4e6d.r78.g08d8f13.r78.g08d8f13-1-x86_64.pkg.tar.zst': could not find or read package

Looks like there is a grayjay-git-5.r72.g4bb4e6d.r78.g08d8f13.r78.g08d8f13.r78.g08d8f13-1-x86_64.pkg.tar.zst in that dir, so I think it's literally just looking for the wrong artifact?

I'm also getting these errors at the start:

https://git-lfs.github.com/spec/v1 is not a valid attribute name: prebuilt/.gitattributes:1
sha256:c1053553fbff49e3bc136efcf3612ab3639baec7914fa407472a8e74b440ff4d is not a valid attribute name: prebuilt/.gitattributes:2
https://git-lfs.github.com/spec/v1 is not a valid attribute name: prebuilt/.gitattributes:1
sha256:c1053553fbff49e3bc136efcf3612ab3639baec7914fa407472a8e74b440ff4d is not a valid attribute name: prebuilt/.gitattributes:2
https://git-lfs.github.com/spec/v1 is not a valid attribute name: prebuilt/.gitattributes:1
sha256:c1053553fbff49e3bc136efcf3612ab3639baec7914fa407472a8e74b440ff4d is not a valid attribute name: prebuilt/.gitattributes:2
https://git-lfs.github.com/spec/v1 is not a valid attribute name: prebuilt/.gitattributes:1
sha256:c1053553fbff49e3bc136efcf3612ab3639baec7914fa407472a8e74b440ff4d is not a valid attribute name: prebuilt/.gitattributes:2

nathanchere commented on 2024-12-25 17:00 (UTC)

Thanks for the feedback, I accidentally pushed the wrong one which wasn't ready, I was working on both this and the binary package but had to work around a few teething issues with their early Linux releases.

I pushed a proper PKGBUILD now which at least 'works on my machine', but I found no documentation for the source build and there's still a fair bit of workaround happening so caveat emptor.

skysphr commented on 2024-12-25 13:36 (UTC) (edited on 2024-12-25 13:38 (UTC) by skysphr)

After moving the contents of /usr/lib/grayjay-git/arch-x64/ to /usr/lib/grayjay-git/, I'm still getting the following:

A fatal error was encountered. The library 'libhostpolicy.so' required to execute the application was not found in '/usr/lib/grayjay-git/'.
Failed to run as a self-contained app.
  - The application was run as a self-contained app because '/usr/lib/grayjay-git/Grayjay.ClientServer.runtimeconfig.json' was not found.
  - If this should be a framework-dependent app, add the '/usr/lib/grayjay-git/Grayjay.ClientServer.runtimeconfig.json' file and specify the appropriate framework.

DarthChungo commented on 2024-12-25 11:58 (UTC)

The package installs and builds correctly, but the included launch script does not work:

$ grayjay-git 
The command could not be loaded, possibly because:
  * You intended to execute a .NET application:
      The application '/usr/lib/grayjay-git/Grayjay.ClientServer.dll' does not exist.
  * You intended to execute a .NET SDK command:
      No .NET SDKs were found.

Download a .NET SDK:
https://aka.ms/dotnet/download

Learn about SDK resolution:
https://aka.ms/dotnet/sdk-not-found

The problem is that the package was installed into /usr/lib/grayjay-git/arch-x64/, not /usr/lib/grayjay-git/ as the script expects.